summaryrefslogtreecommitdiffstats
path: root/academic/CAPS_coevolution
diff options
context:
space:
mode:
author Petar Petrov2017-02-04 17:40:59 +0100
committer Willy Sudiarto Raharjo2017-02-11 01:24:07 +0100
commit80d665841bf9045fa91a309ba8cd6cecfc42335d (patch)
tree9fe086d0dcee30f9986daf1d9ca4ec49b1eebf3d /academic/CAPS_coevolution
parent1852c5a4c13f778f2958fdb83945ce7e068196b8 (diff)
downloadslackbuilds-80d665841bf9045fa91a309ba8cd6cecfc42335d.tar.gz
academic/CAPS_coevolution: Added (Coevolution Analysis).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic/CAPS_coevolution')
-rw-r--r--academic/CAPS_coevolution/CAPS_coevolution.SlackBuild101
-rw-r--r--academic/CAPS_coevolution/CAPS_coevolution.info10
-rw-r--r--academic/CAPS_coevolution/README25
-rw-r--r--academic/CAPS_coevolution/References14
-rw-r--r--academic/CAPS_coevolution/slack-desc19
5 files changed, 169 insertions, 0 deletions
diff --git a/academic/CAPS_coevolution/CAPS_coevolution.SlackBuild b/academic/CAPS_coevolution/CAPS_coevolution.SlackBuild
new file mode 100644
index 0000000000..99f177b84b
--- /dev/null
+++ b/academic/CAPS_coevolution/CAPS_coevolution.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for CAPS_coevolution
+
+# Copyright 2017 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=CAPS_coevolution
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+# The zipped names of the 32bit and 64bit versions differ too much, so
+# let's set them here.
+BINNAM=caps
+ZIP64=caps2.0_linux_x86_64-bit
+ZIP32=caps2-linux
+DIR32=caps-linux
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+if [ "$ARCH" = "x86_64" ]; then
+ unzip $CWD/$ZIP64.zip
+ cd $ZIP64
+else
+ unzip $CWD/$ZIP32.zip
+ cd $DIR32
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m755 $BINNAM $PKG/usr/bin/$BINNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a \
+ sample structures trees \
+ $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ${BINNAM}_manual.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+# Clean this...
+rm $PKG/usr/share/$PRGNAM/structures/.DS_Store
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/CAPS_coevolution/CAPS_coevolution.info b/academic/CAPS_coevolution/CAPS_coevolution.info
new file mode 100644
index 0000000000..f51aa5d3aa
--- /dev/null
+++ b/academic/CAPS_coevolution/CAPS_coevolution.info
@@ -0,0 +1,10 @@
+PRGNAM="CAPS_coevolution"
+VERSION="2.0"
+HOMEPAGE="http://bioinf.gen.tcd.ie/~faresm/software/software.html"
+DOWNLOAD="http://bioinf.gen.tcd.ie/~faresm/software/files/caps2-linux.zip"
+MD5SUM="72f6b7b5c0f9f441c4836b1c3a678c30"
+DOWNLOAD_x86_64="http://bioinf.gen.tcd.ie/~faresm/software/files/caps2.0_linux_x86_64-bit.zip"
+MD5SUM_x86_64="5fc40d2cb2e95be04bd945c155fb8ad5"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/CAPS_coevolution/README b/academic/CAPS_coevolution/README
new file mode 100644
index 0000000000..b0d477c7a2
--- /dev/null
+++ b/academic/CAPS_coevolution/README
@@ -0,0 +1,25 @@
+CAPS: Coevolution Analysis using Protein Sequences
+
+CAPS is aimed at measuring the coevolution between amino acid sites
+belonging to the same protein (intra-molecular coevolution) or to two
+functionally or physically interacting proteins (inter-molecular
+coevolution). The Software implements an improved method to detect
+intra-molecular coevolution as published in Genetics (Fares and Travers,
+2006) and also inter-protein coevolution analysis. The improved scoring
+of amino acid sites is obtained by maximum likelihood ancestral state
+reconstruction along with simulations to assess significance.
+
+In addition, a test which assesses whether two proteins are interacting
+is implemented.
+
+NOTE:
+The script just repackages the binaries provided from upstream.
+
+CITING:
+CAPS: coevolution analysis using protein sequences. Fares MA, McNally D.
+Bioinformatics. 2006 Nov 15;22(22):2821-2. PMID: 17005535
+
+The mathematical model has been described separately:
+A novel method for detecting intramolecular coevolution: adding a
+further dimension to selective constraints analyses. Fares MA, Travers
+SA. Genetics. 2006 May;173(1):9-23. PMID: 16547113
diff --git a/academic/CAPS_coevolution/References b/academic/CAPS_coevolution/References
new file mode 100644
index 0000000000..e8236cd282
--- /dev/null
+++ b/academic/CAPS_coevolution/References
@@ -0,0 +1,14 @@
+If you use CAPS in your research, please include the following citations:
+
+CAPS: coevolution analysis using protein sequences.
+Fares MA, McNally D.
+Bioinformatics. 2006 Nov 15;22(22):2821-2.
+PMID: 17005535
+https://www.ncbi.nlm.nih.gov/pubmed/17005535
+
+The mathematical model has been described separately:
+A novel method for detecting intramolecular coevolution: adding a further dimension to selective constraints analyses.
+Fares MA, Travers SA.
+Genetics. 2006 May;173(1):9-23.
+PMID: 16547113
+https://www.ncbi.nlm.nih.gov/pubmed/16547113
diff --git a/academic/CAPS_coevolution/slack-desc b/academic/CAPS_coevolution/slack-desc
new file mode 100644
index 0000000000..10791d3547
--- /dev/null
+++ b/academic/CAPS_coevolution/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+CAPS_coevolution: CAPS_coevolution (Coevolution Analysis using Protein Sequences)
+CAPS_coevolution:
+CAPS_coevolution: CAPS is aimed at measuring the coevolution between amino acid
+CAPS_coevolution: sites belonging to the same protein (intra-molecular coevolution)
+CAPS_coevolution: or to two functionally or physically interacting proteins (inter-
+CAPS_coevolution: molecular coevolution). In addition, a test which assesses
+CAPS_coevolution: whether two proteins are interacting is implemented.
+CAPS_coevolution:
+CAPS_coevolution: Home: http://bioinf.gen.tcd.ie/~faresm/software/software.html
+CAPS_coevolution: References: /usr/doc/CAPS_coevolution-2.0/References
+CAPS_coevolution: